# NVShaderBufferLoad (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVShaderBufferLoad

    java.lang.Object
      org.lwjgl.opengl.NVShaderBufferLoad

    public final class NVShaderBufferLoad

extends java.lang.Object

Field Summary
`static int` `GL_BUFFER_GPU_ADDRESS_NV` Accepted by the <pname> parameter of GetBufferParameterui64vNV, GetNamedBufferParameterui64vNV:
`static int` `GL_GPU_ADDRESS_NV` Returned by the <type> parameter of GetActiveUniform:
`static int` `GL_MAX_SHADER_BUFFER_ADDRESS_NV` Accepted by the <value> parameter of GetIntegerui64vNV:

Method Summary
`static long` `glGetBufferParameterui64NV(int target, int pname)` Overloads glGetBufferParameterui64vNV.
`static void` `glGetBufferParameteruNV(int target, int pname, java.nio.LongBuffer params)`
`static long` `glGetIntegerui64NV(int value)` Overloads glGetIntegerui64vNV.
`static void` `glGetIntegeruNV(int value, java.nio.LongBuffer result)`
`static long` `glGetNamedBufferParameterui64NV(int buffer, int pname)` Overloads glGetNamedBufferParameterui64vNV.
`static void` `glGetNamedBufferParameteruNV(int buffer, int pname, java.nio.LongBuffer params)`
`static void` `glGetUniformuNV(int program, int location, java.nio.LongBuffer params)`
`static boolean` `glIsBufferResidentNV(int target)`
`static boolean` `glIsNamedBufferResidentNV(int buffer)`
`static void` `glMakeBufferNonResidentNV(int target)`
`static void` `glMakeBufferResidentNV(int target, int access)`
`static void` `glMakeNamedBufferNonResidentNV(int buffer)`
`static void` `glMakeNamedBufferResidentNV(int buffer, int access)`
`static void` `glProgramUniformui64NV(int program, int location, long value)`
`static void` `glProgramUniformuNV(int program, int location, java.nio.LongBuffer value)`
`static void` `glUniformui64NV(int location, long value)`
`static void` `glUniformuNV(int location, java.nio.LongBuffer value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_BUFFER_GPU_ADDRESS_NV

    public static final int GL_BUFFER_GPU_ADDRESS_NV

  Accepted by the <pname> parameter of GetBufferParameterui64vNV, GetNamedBufferParameterui64vNV:

  See Also:
    Constant Field Values

### GL_GPU_ADDRESS_NV

    public static final int GL_GPU_ADDRESS_NV

  Returned by the <type> parameter of GetActiveUniform:

  See Also:
    Constant Field Values

### GL_MAX_SHADER_BUFFER_ADDRESS_NV

    public static final int GL_MAX_SHADER_BUFFER_ADDRESS_NV

  Accepted by the <value> parameter of GetIntegerui64vNV:

  See Also:
    Constant Field Values

Method Detail

### glMakeBufferResidentNV

    public static void glMakeBufferResidentNV(int target,
                                              int access)

### glMakeBufferNonResidentNV

    public static void glMakeBufferNonResidentNV(int target)

### glIsBufferResidentNV

    public static boolean glIsBufferResidentNV(int target)

### glMakeNamedBufferResidentNV

    public static void glMakeNamedBufferResidentNV(int buffer,
                                                   int access)

### glMakeNamedBufferNonResidentNV

    public static void glMakeNamedBufferNonResidentNV(int buffer)

### glIsNamedBufferResidentNV

    public static boolean glIsNamedBufferResidentNV(int buffer)

### glGetBufferParameteruNV

    public static void glGetBufferParameteruNV(int target,
                                               int pname,
                                               java.nio.LongBuffer params)

### glGetBufferParameterui64NV

    public static long glGetBufferParameterui64NV(int target,
                                                  int pname)

  Overloads glGetBufferParameterui64vNV.

### glGetNamedBufferParameteruNV

    public static void glGetNamedBufferParameteruNV(int buffer,
                                                    int pname,
                                                    java.nio.LongBuffer params)

### glGetNamedBufferParameterui64NV

    public static long glGetNamedBufferParameterui64NV(int buffer,
                                                       int pname)

  Overloads glGetNamedBufferParameterui64vNV.

### glGetIntegeruNV

    public static void glGetIntegeruNV(int value,
                                       java.nio.LongBuffer result)

### glGetIntegerui64NV

    public static long glGetIntegerui64NV(int value)

  Overloads glGetIntegerui64vNV.

### glUniformui64NV

    public static void glUniformui64NV(int location,
                                       long value)

### glUniformuNV

    public static void glUniformuNV(int location,
                                    java.nio.LongBuffer value)

### glGetUniformuNV

    public static void glGetUniformuNV(int program,
                                       int location,
                                       java.nio.LongBuffer params)

### glProgramUniformui64NV

    public static void glProgramUniformui64NV(int program,
                                              int location,
                                              long value)

### glProgramUniformuNV

    public static void glProgramUniformuNV(int program,
                                           int location,
                                           java.nio.LongBuffer value)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.